<?php 
// Secret page for admin 
session_start();

// If user is not logged in, redirect to login page
if (empty($_SESSION['username'])) {
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html>
<head>
    <style>
    form {
      width: 80%;
      max-width: 600px;
      margin: 0 auto;
    }
    </style>
</head>
<body>
    <?php
    // Welcome message to the admin
    echo "<h1>Welcome Admin, " . $_SESSION['username'] . "</h1>";
    echo "<h2>This page is only for administrators to view</h2>";
    
    // View all users button
    echo "<p><button type=\"button\" onclick=\"location.href='admin_view_all_users.php'\">View all registered users</button></p>";
    ?>

<div align="center">
    <h2 style="color: blue;">Add a Movie Poster!</h2>
</div>

<!-- Form to add a movie poster to the database -->
<form action="handle_admin_add_new_movie.php" method="post"> 
    <fieldset>
        <legend>Enter movie poster information below:</legend>

        <p><label>Movie Title: <input type="text" name="name" size="20"></label></p>

        <p><label>Genre:
            <select name="category">
                <option value="Sci-Fi">Sci-Fi</option>
                <option value="Fantasy">Fantasy</option>
                <option value="Crime/Drama">Crime/Drama</option>
                <option value="Animation">Animation</option>
                <option value="Other">Other</option>
            </select>
        </label></p>

        <p><label>Quantity: <input type="number" name="quantity" size="20" maxlength="10"></label></p>

        <p><label>Price: <input type="number" step="0.01" name="price" size="20"></label></p>

        <p><label>Poster Image Link: <input type="text" name="imagelink" size="20"></label></p>

        <p align="center"><input type="submit" name="submit" value="Submit Movie Poster Information"></p>
    </fieldset>
</form>

<br><br>
<button type="button" onclick="location.href='logout.php'">Log out</button>
</body>
</html>
