<?php 
// Handle data from admin add a movie poster form
include('mysqli_connect.php');

// Escape and clean input values
$name = mysqli_real_escape_string($dbc, trim($_POST['name']));          // Movie name
$category = mysqli_real_escape_string($dbc, trim($_POST['category']));  // Genre/Category
$quantity = $_POST['quantity'];                                         // Quantity available
$price = $_POST['price'];                                               // Movie price
$imagelink = mysqli_real_escape_string($dbc, trim($_POST['imagelink'])); // Poster image link

// Insert data into the 'products' table
$query = "INSERT INTO products (name, category, price, quantity, imagelink) 
          VALUES ('$name', '$category', $price, $quantity, '$imagelink')"; // Adjust table and column names

echo $query; // This line prints the query for debugging purposes

// Run the insert query
$result = mysqli_query($dbc, $query);

if ($result) {
    // Success message if movie poster is added
    echo "The movie poster <strong>$name</strong> has been successfully added to the database!";
} else {
    // Error message if query fails
    echo "Error: " . mysqli_error($dbc);
}

// Button to go back to the admin page
echo "<br><button type=\"button\" onclick=\"location.href='secret_page_admin.php'\">Go back</button>";
?>
